import RegististerTemplates from './component-registrar'

const VuePlugin = {
  install(Vue, options) {
    const ibsTemplate = {
      options: options,
    }
    RegististerTemplates.RegististerTemplates(Vue)
    Vue.ibsTemplate = ibsTemplate
    Vue.prototype.$ibsTemplate = ibsTemplate
  },
}

export default VuePlugin
